Skip to content

Get Status

GET
/v1/status
import requests
resp = requests.get(
"https://api.ultimateteam.ai/v1/status",
headers={"X-API-Key": "utk_live_YOUR_KEY"},
)
print(resp.json())

Return current platform health for the public status page.

Reads cached component health from Redis keys written by the health_check worker. Response time target: <100ms.

Successful Response

Media typeapplication/json
StatusResponse

Aggregate status response for the public status page.

object
components
required
Components
Array<object>
ComponentStatus

Health status of a single platform component.

object
description
Description
string
""
last_check_ts
Any of:
string
name
required
Name
string
status
required
Status
string
Allowed values: operational degraded outage unknown
incidents
required
Incidents
Array<object>
Incident

A recorded service incident.

object
affected_components
Affected Components
Array<string>
default:
created_at
required
Created At
string
id
required
Id
string
resolved_at
Any of:
string
status
required
Status
string
Allowed values: investigating identified monitoring resolved
title
required
Title
string
last_updated
required
Last Updated
string
overall_status
required
Overall Status
string
Allowed values: operational degraded outage
uptime_percentage_90d
Any of:
number
Example
{
"components": [
{
"description": "",
"status": "operational"
}
],
"incidents": [
{
"affected_components": [],
"status": "investigating"
}
],
"overall_status": "operational"
}